eSign Hash

/document/hash/online

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Valid values:

ParameterValue
"hash"exact 44 symbols
Hash must be exactly 44 characters long, as it must be the SHA-256 value encoded in Base64 (not in hex, which is 64 characters)
"description"max chars 4000
"dateExpire"unix epoch time in seconds
Defines how long request is pending for user confirmation
"signInfo"
"algorithm"
"SHA256"
"user"Has to be provided one of the user's identifiers:
  • "identificationNumber" and "country" for manual signing;
  • "email" for manual signing;
  • "phone" for manual signing;
  • "automatedSignCertID" for automated signing;
  • "automatedSignSealID" for automated signing.

    "identificationNumber": Personal identification number.
    "country": Optional with default value "BG". Valid values are the ISO 3166-1 alpha-2 codes.
    "email": email address.
    "phone": format "+[0-9]"
    "automatedSignCertID": format "[a-zA-Z0-9-]36"
    "automatedSignSealID": format "[a-zA-Z0-9-]36"
"certificateSerialNumber""string"
Serial number of the user certificate. Parameter has to be provided if the user identifier is "identificationNumber" or
"phone" or "email".
"BIOrequired"0/1 Optional parameter. Default value 0. Activated additional billable service upon request. User confirms the signing with our face recognition (not device based)
"vendorNumber""string"
"urlCallback"Optional parameter. Only https:// is allowed. It has to be sent a host name if Evrotrust callback API is used.
"publicKey"base64 encoded string of public key, necessary for encryption process


Return values:
"threadID" - unique ID refers to the signing operation.
"transactionID" - unique ID refers to a single document of the signing operation.

For example: One document send to be signed by two users. Every user will have a different transactionID, but the same threadID.
Parameters



Body Params
string
required

{
"document": {
"hash": "",
"description": "",
"dateExpire":""
},
"signInfo": {
"algorithm": ""
},
"user": {
"identificationNumber": "1234567890",
"country": "BG",
//"email": "[email protected]",
//"phone": "+359123456789",
//"automatedSignCertID": "

Headers
string
required

Authorization value.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json